stringprep_4zi(3)

NAME
stringprep_4zi - prepare internationalized string

SYNOPSIS
#include <stringprep.h>

int stringprep_4zi(uint32_t * ucs4, size_t maxucs4len, Stringprep_profile_flags flags, const Stringprep_profile * profile);

ARGUMENTS

uint32_t * ucs4
    input/output array with zero terminated string to prepare.

size_t maxucs4len
    maximum length of input/output array.

Stringprep_profile_flags flags
    a Stringprep_profile_flags value, or 0.

const Stringprep_profile * profile
    pointer to Stringprep_profile to use.

DESCRIPTION
Prepare the input zero terminated UCS-4 string according to the stringprep profile, and write back the result to the input string. Since the stringprep operation can expand the string, maxucs4len indicate how large the buffer holding the string is. This function will not read or write to code points outside that size. The flags are one of Stringprep_profile_flags values, or 0. The profile contain the Stringprep_profile instructions to perform. Your application can define new profiles, possibly re-using the generic stringprep tables that always will be part of the library, or use one of the currently supported profiles.

RETURN VALUE
Returns STRINGPREP_OK iff successful, or an Stringprep_rc error code.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.